# Poco

# class DeflatingInputStream

Library: Foundation
Package: Streams
Header: Poco/DeflatingStream.h

## Description

This stream compresses all data passing through it using zlib's deflate algorithm.

## Inheritance

Direct Base Classes: std::istream, DeflatingIOS

All Base Classes: DeflatingIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### DeflatingInputStream

DeflatingInputStream(
std::istream & istr,
DeflatingStreamBuf::StreamType type = DeflatingStreamBuf::STREAM_ZLIB,
int level = (- 1)
);

Creates a DeflatingIOS for compressing data read from the given input stream.

### DeflatingInputStream

DeflatingInputStream(
std::istream & istr,
int windowBits,
int level
);

Creates a DeflatingIOS for compressing data read from the given input stream.

Please refer to the zlib documentation of deflateInit2() for a description of the windowBits parameter.

## Destructor

### ~DeflatingInputStream

~DeflatingInputStream();

Destroys the DeflatingInputStream.